Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cybergarage.upnp.device
Class ST

    java.lang.Object
      org.cybergarage.upnp.device.ST

    public class ST

extends Object

Field Summary
`static String` | `ALL_DEVICE`
`static String` | `ROOT_DEVICE`
`static String` | `URN_DEVICE`
`static String` | `URN_SERVICE`
`static String` | `UUID_DEVICE`

Constructor Summary
`ST()`

Method Summary
`static boolean` | `isAllDevice(String value)`
`static boolean` | `isRootDevice(String value)`
`static boolean` | `isURNDevice(String value)`
`static boolean` | `isURNService(String value)`
`static boolean` | `isUUIDDevice(String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALL_DEVICE

    public static final String ALL_DEVICE

See Also:
  Constant Field Values

### ROOT_DEVICE

    public static final String ROOT_DEVICE

See Also:
  Constant Field Values

### UUID_DEVICE

    public static final String UUID_DEVICE

See Also:
  Constant Field Values

### URN_DEVICE

    public static final String URN_DEVICE

See Also:
  Constant Field Values

### URN_SERVICE

    public static final String URN_SERVICE

See Also:
  Constant Field Values

Constructor Detail

### ST

    public ST()

Method Detail

### isAllDevice

    public static final boolean isAllDevice(String value)

### isRootDevice

    public static final boolean isRootDevice(String value)

### isUUIDDevice

    public static final boolean isUUIDDevice(String value)

### isURNDevice

    public static final boolean isURNDevice(String value)

### isURNService

    public static final boolean isURNService(String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD